dunetpc - Task #22198

Address various issues in protodune-sp reconstruction

03/24/2019 10:03 AM - Tingjun Yang

Status: New Start date:
Priority: Normal Due date:
Assignee: % Done:
Category: Estimated time:
Target version:

Description

The full report of valgrind is attached. This is the result of running the following command:

valgrind —--leak-check=yes —--track-origins=yes —--suppressions=S$ROOTSYS/etc/valgrind-root.supp  whic
h lar’ -c protoDUNE_SP_keepup_decoder_reco.fcl xroot://fndcal.fnal.gov:1094/pnfs/fnal.gov/usr/dune
/tape_backed/dunepro/protodune/np04/beam/detector/None/raw/07/73/51/42/np04_raw_run005809_0004_d16

.root -n 1 >& valgrind_20190322.1logé&

Subtasks:

Bug # 22193: Issues in SSPRawDecoder_module.cc

Bug # 22219: Acess invalid element of array in Calorimetry reconstruction
Bug # 22223: Possible memory leaks in SpaceChargeProtoDUNE.h

Bug # 22247: Issues with ProtoDUNEBeamEvent

Bug # 22248: Possible memory leaks in WireCell

Bug # 22249: Possible memory leaks in AdcPedestalFitter_tool.cc

Bug # 22265: Possible memory leaks in GausHitFinder

Closed
Closed
Closed
Closed
Closed
Closed
Closed

History

#1 - 03/26/2019 10:58 AM - Tingjun Yang
- Due date set to 03/26/2019

due to changes in a related task: #22223

#2 - 03/29/2019 06:10 PM - Tingjun Yang
- Due date set to 03/29/2019

due to changes in a related task: #22247

#3 - 03/29/2019 06:25 PM - Tingjun Yang
- Due date set to 03/29/2019

due to changes in a related task: #22248

#4 - 03/29/2019 06:30 PM - Tingjun Yang
- Due date set to 03/29/2019

due to changes in a related task: #22249

#5 - 04/02/2019 09:43 AM - Tingjun Yang
- Due date set to 04/02/2019

due to changes in a related task: #22265

Files

valgrind_20190322.log 849 KB
